Subject: FVWM: fvwm-2.3.30 crashes

From: Max Ischenko <[email-masked]>
Date: Fri, 30 Mar 2001 12:27:58 +0300

fvwm2 crashes when I'm trying to execute
+ "  &tin" Exec exec rxvt -title 'net: news' -e tinlock
Having
Style "net:*"           MiniIcon mini-news.xpm, Icon Jnews.xpm, StartsOnPage
0 1 2
Style "tinlock"         MiniIcon mini-news.xpm, Icon Jnews.xpm, StartsOnPage
0 1 2

This is because it cannot open mini-news.xpm. (Why? I have ImagePath)
Anyway, I think absence of icon is too weird reason to crash ;-)

Backtrace:
(gdb) bt
#0  0x8057205 in DrawButton (t=0x80bfa10, win=10485903, w=17, h=17, df=0x80976a8, 
    ReliefGC=0x809a0d0, ShadowGC=0x809a148, is_lowest=1, stateflags=MWM_DECOR_MENU, 
    left1right0=1, rclip=0x0, pbutton_background_pixmap=0x80bfab8) at borders.c:290
#1  0x8058661 in RedrawButtons (cd=0xbffff258, t=0x80bfa10, has_focus=0, force=1, 
    expose_win=10485906, rclip=0xbffff340) at borders.c:1097
#2  0x805930f in draw_clipped_decorations (t=0x80bfa10, draw_parts=DRAW_BUTTONS, has_focus=0, 
    force=1, expose_win=10485906, rclip=0xbffff340) at borders.c:1648
#3  0x8065a34 in fake_map_unmap_notify (tmp_win=0x23000, event_type=0) at events.c:945
#4  0x8067cdd in HandleEvents () at events.c:2725
#5  0x8067d74 in GetContext (t=0x8098810, e=0x0, w=0xbffff7b0) at events.c:2762
#6  0x80834ea in StartupStuff () at fvwm.c:785
#7  0x40178bfc in __libc_start_main (main=0x8082210 <main+128>, argc=1, ubp_av=0xbffff81c, 
    init=0x804af7c <_init>, fini=0x808c14c <_IO_stdin_used+168>, 
    rtld_fini=0x4000d674 <_dl_fini>, stack_end=0xbffff814)
    at ../sysdeps/generic/libc-start.c:118

-- 
You said I would get 98 windows with this computer. Where are they?
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].